Page MenuHomePhabricator

codecov.io reports are broken
Closed, ResolvedPublic

Description

https://codecov.io/gh/wikimedia/pywikibot, that provides coverage reports, looks broken.
Unable to find commit in GitHub error message is shown, that links to this help page.
It looks like a Github user that has rights on this repo need to authorize something. @MarcoAurelio, perhaps you can help us on it ?

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptDec 8 2017, 11:17 PM
Framawiki updated the task description. (Show Details)Dec 8 2017, 11:19 PM

@Framawiki I don't think I have access on GitHub to anything but my own repo. I don't know what codecov is either. If there's anything I can do please let me know but I don't think I can be of much help here.

Dalba added a project: GitHub-Mirrors.EditedDec 9 2017, 3:01 AM
Dalba added a subscriber: Dalba.

Probably started after rename of https://github.com/wikimedia/pywikibot-core to https://github.com/wikimedia/pywikibot .

https://ci.appveyor.com/project/jayvdb/pywikibot-core-hdpnk has also stopped working since then. And there are some links on mediawiki.org documentation still pointing to the old address.

Framawiki added a comment.EditedDec 9 2017, 11:45 AM

@Framawiki I don't think I have access on GitHub to anything but my own repo. I don't know what codecov is either. If there's anything I can do please let me know but I don't think I can be of much help here.

Sorry, I thought you had rights on wikimedia github repos.


Solving this task and having access to reports would be great for Google-Code-in-2017, ie it's a blocker for T60941: Missing unit tests for pywikibot library (tracking). It would be cool if it was resolved quickly.

(...) I was the person who enabled it (...)

@Ladsgroup Can you help with it ?

I'll take a look over the weekend.

I added the CodeCov token into travis build settings which hopefully should help. Beside that, there is nothing that can help in the settings of CodeCov or travis (maybe resetting webhook helps but I don't have the rights)

Zppix added a subscriber: Zppix.EditedDec 10 2017, 5:51 PM

@Ladsgroup you can do what i did on the wiki-ai repos, and actually make codecov a service. It should be an option under the org settings (not repo settings)

I still can't find analyze of files in the interface.
Can somebody with rights on GH reset the webhooks of this repo ?

Ping @Ladsgroup and probably @Zppix : if you haven't enough time to wok on this, I can try to solve this problem. How can I get rights to do this ?

Note that we can look at this other service: https://coveralls.io/.

I need some rights, let me push for them.

Ladsgroup closed this task as Resolved.Dec 23 2017, 2:33 PM
Ladsgroup claimed this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 23 2017, 2:33 PM